- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axiom_data_handler.h File Reference

axis2 data_handler interface More...

`#include <axutil_utils.h>`
`#include <axutil_error.h>`
`#include <axutil_utils_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_allocator.h>`
`#include <axutil_string.h>`
`#include <axutil_array_list.h>`

Go to the source code of this file.

## Typedefs
typedef enum axiom_data_handler_type | axiom_data_handler_type_t
typedef struct axiom_data_handler | axiom_data_handler_t
## Enumerations
enum | axiom_data_handler_type { AXIOM_DATA_HANDLER_TYPE_FILE, AXIOM_DATA_HANDLER_TYPE_BUFFER, AXIOM_DATA_HANDLER_TYPE_CALLBACK }
## Functions
AXIS2_EXTERN axis2_char_t * | axiom_data_handler_get_content_type (axiom_data_handler_t *data_handler, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_data_handler_set_content_type (axiom_data_handler_t *data_handler, const axutil_env_t *env, const axis2_char_t *mime_type)
AXIS2_EXTERN axis2_bool_t | axiom_data_handler_get_cached (axiom_data_handler_t *data_handler, const axutil_env_t *env)
AXIS2_EXTERN void | axiom_data_handler_set_cached (axiom_data_handler_t *data_handler, const axutil_env_t *env, axis2_bool_t cached)
AXIS2_EXTERN axis2_byte_t * | axiom_data_handler_get_input_stream (axiom_data_handler_t *data_handler, const axutil_env_t *env)
AXIS2_EXTERN int | axiom_data_handler_get_input_stream_len (axiom_data_handler_t *data_handler, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_data_handler_read_from (axiom_data_handler_t *data_handler, const axutil_env_t *env, axis2_byte_t **output_stream, int *output_stream_size)
AXIS2_EXTERN axis2_status_t | axiom_data_handler_set_binary_data (axiom_data_handler_t *data_handler, const axutil_env_t *env, axis2_byte_t *input_stream, int input_stream_len)
AXIS2_EXTERN axis2_status_t | axiom_data_handler_write_to (axiom_data_handler_t *data_handler, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_data_handler_set_file_name (axiom_data_handler_t *data_handler, const axutil_env_t *env, axis2_char_t *file_name)
AXIS2_EXTERN axis2_char_t * | axiom_data_handler_get_file_name (axiom_data_handler_t *data_handler, const axutil_env_t *env)
AXIS2_EXTERN void | axiom_data_handler_free (axiom_data_handler_t *data_handler, const axutil_env_t *env)
AXIS2_EXTERN axiom_data_handler_t * | axiom_data_handler_create (const axutil_env_t *env, const axis2_char_t *file_name, const axis2_char_t *mime_type)
AXIS2_EXTERN axis2_status_t | axiom_data_handler_add_binary_data (axiom_data_handler_t *data_handler, const axutil_env_t *env, axutil_array_list_t *list)
AXIS2_EXTERN axis2_char_t * | axiom_data_handler_get_mime_id (axiom_data_handler_t *data_handler, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axiom_data_handler_set_mime_id (axiom_data_handler_t *data_handler, const axutil_env_t *env, const axis2_char_t *mime_id)
AXIS2_EXTERN axiom_data_handler_type_t | axiom_data_handler_get_data_handler_type (axiom_data_handler_t *data_handler, const axutil_env_t *env)
AXIS2_EXTERN void | axiom_data_handler_set_data_handler_type (axiom_data_handler_t *data_handler, const axutil_env_t *env, axiom_data_handler_type_t data_handler_type)
AXIS2_EXTERN void * | axiom_data_handler_get_user_param (axiom_data_handler_t *data_handler, const axutil_env_t *env)
AXIS2_EXTERN void | axiom_data_handler_set_user_param (axiom_data_handler_t *data_handler, const axutil_env_t *env, void *user_param)

## Detailed Description

axis2 data_handler interface